• AVR Freaks

Hot!Can't download Harmony3

Author
geotech1
New Member
  • Total Posts : 26
  • Reward points : 0
  • Joined: 2008/01/16 14:11:15
  • Location: 0
  • Status: offline
2020/08/28 19:06:57 (permalink)
5 (1)

Can't download Harmony3

I've installed MPLAB X 5.25; I've loaded Harmony Content Manager 1.4.0; when I try to download any packages I get the following:
 
"csp" package download failed! Please try again.
 
followed by:
 
Content manager failed to delete this partially downloaded "csp" remote package. To download the same package, please close the content manager and manually delete the above specified package from the selected local harmony path.
 
And I get this repeated for every package selected, which was highly annoying the first time when I selected all 38 packages. I have deleted the entire local Harmony folder and started over from scratch, same messages. Running Windows 10.
 
Any guidance is appreciated. Is there way to simply copy the libs from somewhere?
 
#1

2 Replies Related Threads

    geotech1
    New Member
    • Total Posts : 26
    • Reward points : 0
    • Joined: 2008/01/16 14:11:15
    • Location: 0
    • Status: offline
    Re: Can't download Harmony3 2020/08/28 19:09:23 (permalink)
    5 (1)
    Sorry, I started with MPLABX 5.25, that didn't work, so I installed 5.40 and that also doesn't work.
     
    #2
    domble
    Super Member
    • Total Posts : 170
    • Reward points : 0
    • Joined: 2007/01/25 04:11:53
    • Location: UK
    • Status: offline
    Re: Can't download Harmony3 2020/09/04 02:32:48 (permalink)
    0
    Can't help, except to say that on mine gfx and gfx_apps fail in a similar way (after some considerable time downloading at 100Mbit/sec... they must be big), and bt shows as not cleaned but won't clean (and I've never been near the bt source files so they should be clean).  In my case content manager does manage to delete the broken packages though.
    Luckily I don't use any of those packages at the moment.
     
    Edit: Huh, just tried again.  gfx_apps installed ok, gfx installed, but is showing its not clean warning. But was able to clean it? Loads of dependencies warnings all over, probably because of older and newer versions of packages.  Takes ages to update, and that's using a 150Mbit fibre connection... think it would be unusable on a more typical 4Mbit ADSL connection.
    Looks like things break, fixed get fixed... or the Content Manager doesn't handle different error conditions well? Perhaps try again later!
    post edited by domble - 2020/09/04 02:51:03
    #3
    Jump to:
    © 2020 APG vNext Commercial Version 4.5